Scolring - Forum

Entraides et échanges autour de la technologie Scol - Informations and exchanges on the Scol technology

Vous pouvez changer la langue de l'interface une fois inscrit - You can change the language once registered

You are not logged in.

#1 29-Mar-2009 22:27:40

iri
Admin. / Scol language & Scol apps developer
From: France
Registered: 22-Feb-2009
Posts: 2,023
Website

Intégration d'Ogre 3d dans Scol

Comme vous l'annonce la news "SO3engine", Scol intègre désormais le moteur 3d libre "Ogre3d", bien plus performant que l'ancien moteur Scol qui commençait à dater.
Cette nouvelle version de Scol, bien que déjà fonctionnelle, n'est pas encore publiée car non finalisée. Mais il y a déjà quelques screenshots (captures d'écran) dans la galerie du Scolring :-)

Plus d'infos sur Ogre 3d :
http://fr.wikipedia.org/wiki/Ogre_3D (fr)
http://www.ogre3d.org/ (en)

Offline

#2 30-Mar-2009 22:32:33

arkeon
Admin. / Scol language & OpenSpace3D developer
From: Nantes
Registered: 30-Mar-2009
Posts: 4,486
Website

Re: Intégration d'Ogre 3d dans Scol

En cours ...
la première beta avec les sources d'ici la fin avril !

Offline

#3 23-Apr-2009 11:05:45

Patix
Member
Registered: 20-Apr-2009
Posts: 39

Re: Intégration d'Ogre 3d dans Scol

Bonjour,

questions:

Si je désinstalle scol voyager 4.5 et je mets la nouvelle, SCS (ancienne version) ne fonctionne plus.

Peux t'on faire cohabiter 2 versions scol ? Si oui, quelle version se déclencle à l'appel d'un site ?

Offline

#4 23-Apr-2009 14:26:28

iri
Admin. / Scol language & Scol apps developer
From: France
Registered: 22-Feb-2009
Posts: 2,023
Website

Re: Intégration d'Ogre 3d dans Scol

Salut,

Peux t'on faire cohabiter 2 versions scol ? Si oui, quelle version se déclencle à l'appel d'un site ?

Autant de versions de Scol que tu veux ! À titre d'exemple, je dois avoir une 20aine de versions différentes installées. La seule contrainte est que tu ne peux pas faire tourner deux versions de Scol en même temps.

Quand tu exécutes une application Scol alors qu'aucune VM Scol primaire n'est active, c'est la dernière utilisée (pas forcément la dernière installée donc) qui sera lancée.

Ceci peut générer une erreur si tu essaies de lancer une application locale par exemple qui existe dans l'arborescence de ta version 4.5 mais pas dans celle de la 6.0.1.02a alors que c'est la 6 que tu as utilisé en dernier.
Dans ce cas, tu lances d'abord Scol 4.5 puis ton application.

Si je désinstalle scol voyager 4.5 et je mets la nouvelle, SCS (ancienne version) ne fonctionne plus.

C'est normal. Depuis la version 5.x, Scol observe une nouvelle arborescence (ébauche de documentation ici).
Pour les versions de Scol antérieures à la version 5.x, il faut l'installation 2.5.1 du SCS
Pour les versions supérieures ou égales à la 5.x, il faut la version 2.5.2 du SCS.

La version 2.5.2 du SCS fonctionne parfaitement avec la version 6.0.10.2 de Scol.

Offline

Board footer

Powered by FluxBB